package cn.com.infosec.mobile.android.xlog.internal.printer.file.backup;

import android.support.annotation.Keep;
import cn.com.infosec.mobile.android.xlog.printer.file.backup.BackupStrategy2;
import java.io.File;

@Keep
public class BackupUtil {
   public static void backup(File loggingFile, BackupStrategy2 backupStrategy) {
      String var2 = loggingFile.getName();
      String var3 = loggingFile.getParent();
      File var10000;
      int var4;
      File var5;
      if ((var4 = backupStrategy.getMaxBackupIndex()) > 0) {
         var10000 = var5 = new File;
         var10000.<init>(var3, backupStrategy.getBackupFileName(var2, var4));
         if (var10000.exists()) {
            var5.delete();
         }

         --var4;

         for(; var4 > 0; --var4) {
            var10000 = var5 = new File;
            var10000.<init>(var3, backupStrategy.getBackupFileName(var2, var4));
            if (var10000.exists()) {
               var10000 = var5;
               var5 = new File.<init>(var3, backupStrategy.getBackupFileName(var2, var4 + 1));
               var10000.renameTo(var5);
            }
         }

         var10000 = loggingFile;
         loggingFile = new File.<init>(var3, backupStrategy.getBackupFileName(var2, 1));
         var10000.renameTo(loggingFile);
      } else if (var4 == 0) {
         for(var4 = 1; var4 < Integer.MAX_VALUE; ++var4) {
            var10000 = var5 = new File;
            var10000.<init>(var3, backupStrategy.getBackupFileName(var2, var4));
            if (!var10000.exists()) {
               loggingFile.renameTo(var5);
               break;
            }
         }
      }

   }

   public static void verifyBackupStrategy(BackupStrategy2 backupStrategy) {
      int backupStrategy1;
      if ((backupStrategy1 = backupStrategy.getMaxBackupIndex()) >= 0) {
         if (backupStrategy1 == Integer.MAX_VALUE) {
            throw new IllegalArgumentException("Max backup index too big: " + backupStrategy1);
         }
      } else {
         throw new IllegalArgumentException("Max backup index should not be less than 0");
      }
   }
}
